> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute Quote

> Executes a quote returned from the Create Quote endpoint, initiating a crypto withdrawal to the beneficiary's external wallet.



## OpenAPI

````yaml POST /v2/transactions
openapi: 3.1.0
info:
  title: Fin.com API
  version: 1.0.0
  description: >-
    A simple API specification for Fin.com, a financial services platform that
    provides a range of banking and payment solutions for businesses and
    individuals. This API allows developers to integrate Fin.com's services into
    their applications, enabling functionalities such as customer management,
    transaction processing, and access to financial data.
servers:
  - url: https://sandbox.api.fin.com
    description: Sandbox server
  - url: https://api.fin.com
    description: Production server
security: []
tags:
  - name: Authentication
    description: A modified OAuth 2.0 Client Credential Flow
  - name: Customers
    description: Customer management and document upload operations
  - name: Balances
    description: Retrieve wallet balance information
  - name: Catalogue
    description: |
      A set of endpoints to retrieve contextual data to assemble requests
      to fin.com's API
  - name: Beneficiaries
    description: Manage beneficiary accounts for payments and transfers
  - name: Transactions
    description: Transaction history and management for beneficiaries
  - name: Virtual Accounts
    description: Create and manage virtual accounts for USD to USDC conversions
  - name: Fees & FX Rates
    description: Retrieve fees and foreign exchange rates
paths:
  /v2/transactions:
    post:
      tags:
        - Transactions
      summary: Execute Quote
      description: >-
        Executes a quote returned from the Create Quote endpoint, initiating a
        crypto withdrawal to the beneficiary's external wallet.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - quote_id
              properties:
                quote_id:
                  type: string
                  format: uuid
                  description: The quote ID returned from the Create Quote endpoint.
                  example: 9ba7d6db-ac78-4a41-acae-f787ee6b1f24
            example:
              quote_id: 9ba7d6db-ac78-4a41-acae-f787ee6b1f24
      responses:
        '200':
          description: Quote executed successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      transaction_id:
                        type: string
                        format: uuid
                        example: 8c92e9dd-6456-4aee-a441-1861144f1d8b
                      beneficiary_id:
                        type: string
                        format: uuid
                        example: 6af8d598-36a5-477d-9320-d7c5ba309107
                      created_at:
                        type: string
                        format: date-time
                        example: '2026-04-29T09:56:14.906031567Z'
              example:
                data:
                  transaction_id: 8c92e9dd-6456-4aee-a441-1861144f1d8b
                  beneficiary_id: 6af8d598-36a5-477d-9320-d7c5ba309107
                  created_at: '2026-04-29T09:56:14.906031567Z'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '422':
          $ref: '#/components/responses/ValidationError'
      security:
        - bearerAuth: []
components:
  responses:
    AuthenticationError:
      description: Authentication failed due to invalid credentials
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Authentication failed
    ValidationError:
      description: Failed due to a formatting error.
      content:
        application/json:
          schema:
            type: object
            required:
              - message
            properties:
              message:
                type: string
              errors:
                type: array
                items:
                  type: object
                  additionalProperties:
                    type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Bearer token authentication. Obtain token from [Issue a
        Token](https://developer.fin.com/api-reference/authentication/issue-a-token)
        endpoint

````